# vim:ft=make
.PHONY: all clean

SRCDIR = ./src

SOURCES := $(wildcard $(SRCDIR)/*.svg)
OBJECTS := $(subst $(SRCDIR)/,,$(SOURCES))
OBJECTS_PDF := $(patsubst %.svg,%.pdf,$(OBJECTS))
OBJECTS_TEX := $(patsubst %.svg,%.pdf_tex,$(OBJECTS))

### Targets
all:  $(OBJECTS_PDF) $(OBJECTS_TEX)

$(OBJECTS_PDF): %.pdf: $(SRCDIR)/%.svg
	inkscape --export-area-drawing --export-pdf="${@F}" "$^"

$(OBJECTS_TEX): %.pdf_tex: $(SRCDIR)/%.svg
	inkscape --export-area-drawing --export-latex --export-pdf="${@F}" "$^"

clean:
	@rm -vf *.pdf *.pdf_tex

